Subject: bug#48771: Gnutls fails to build on i586-pc (hurd)

From: Eric Brown <[email-masked]>
Date: Mon, 31 May 2021 21:34:51 -0500

Hello:

A recent update to gnutls seems to have broken hurd's gnutls.  (I can
see this because I run childhurd)

Build log attached.

I think the error is here:

commit 0b70eb03cbcf5df7de9f468d9e2a3b53379779fe
Author: Solene Rapenne <[email-masked]>
Date:   Fri May 28 19:05:23 2021 +0200

    gnu: gnutls: Replace with 3.6.16 [fixes CVE-2021-20305].
    
    * gnu/packages/tls.scm (gnutls)[replacement]: New field.
    (gnutls-3.6.16): New variable.
    
    Signed-off-by: Leo Famulari <[email-masked]>

------------------

commit 4ec964ec38d511ca203cd3c29b194d0cfb99667a
Author: Maxim Cournoyer <[email-masked]>
Date:   Fri May 28 08:06:45 2021 -0400

    gnu: jami-gnome: Include phases from the glib-or-gtk-build-system.
    
    This makes Jami less dependent on the environment it is run within; for
    example when using Jami on a foreign distributions.
    
    * gnu/packages/jami.scm (jami-gnome)[imported-modules]: New argument.
    [modules]: New argument.
    [phases]{glib-or-gtk-compile-schemas, glib-or-gtk-wrap}: New phases.
    
    Reported-by: Simon Tournier <[email-masked]>

Best regards,
Eric